Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 449548 - FTBFS evolution-brutus-1.2.11-2.fc9
Summary: FTBFS evolution-brutus-1.2.11-2.fc9
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: evolution-brutus
Version: rawhide
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Brian Pepple
QA Contact: Fedora Extras Quality Assurance
URL: http://linux.dell.com/files/fedora/Fi...
Whiteboard:
Depends On:
Blocks: FTBFS
TreeView+ depends on / blocked
 
Reported: 2008-06-02 20:33 UTC by FTBFS
Modified: 2008-06-11 02:15 UTC (History)
2 users (show)

Fixed In Version: 1.2.17-1.fc10
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-06-11 02:15:29 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
root.log.bz2 (deleted)
2008-06-02 20:33 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 20:34 UTC, FTBFS
no flags Details
root.log.bz2 (deleted)
2008-06-02 20:34 UTC, FTBFS
no flags Details
build.log.bz2 (deleted)
2008-06-02 20:34 UTC, FTBFS
no flags Details

Description FTBFS 2008-06-02 20:33:22 UTC
evolution-brutus-1.2.11-2.fc9.src.rpm Failed To Build From Source against the rawhide tree.  See http://fedoraproject.org/wiki/FTBFS for more information.

Comment 1 FTBFS 2008-06-02 20:33:51 UTC
Created attachment 307819 [details]
root.log.bz2

root.log for i386

Comment 2 FTBFS 2008-06-02 20:34:33 UTC
Created attachment 307820 [details]
build.log.bz2

build.log for i386

Comment 3 FTBFS 2008-06-02 20:34:45 UTC
Created attachment 307821 [details]
root.log.bz2

root.log for x86_64

Comment 4 FTBFS 2008-06-02 20:34:57 UTC
Created attachment 307822 [details]
build.log.bz2

build.log for x86_64

Comment 5 Jules Colding 2008-06-03 16:05:02 UTC
Fixed in svn

Comment 6 Alex Lancaster 2008-06-10 10:49:08 UTC
(In reply to comment #5)
> Fixed in svn

That's great, but we really a new tarball, couldn't find any here:

http://www.42tools.com/sites/default/files/downloads/dist/evolution-brutus/Rawhide/SOURCES/

can you provide a new upstream tarball to make a new build from?  Thanks.  

(Packages that fail to build from source may be removed after F-10 Alpha is
released, so we don't want that ... ;-) ).


Comment 7 Alex Lancaster 2008-06-10 10:52:53 UTC
A simple bump-n-build didn't work:

http://koji.fedoraproject.org/koji/taskinfo?taskID=655243

presumably because it requires porting to the new evolution data server API or
somesuch?

Comment 8 Jules Colding 2008-06-10 11:44:36 UTC
Yes, the old one did but not the one in svn. I've made a new rawhide release here:

http://www.42tools.com/sites/default/files/downloads/dist/evolution-brutus/Rawhide/


Comment 9 Alex Lancaster 2008-06-10 12:23:06 UTC
Thanks.  Seems like some clock-skew with the tarball:

checking for a BSD-compatible install... 
/usr/bin/install -c
checking whether build environment is sane... 
configure: error: newly created file is older than distributed files!
Check your system clock
error: Bad exit status from /var/tmp/rpm-tmp.15546 (%build)
    Bad exit status from /var/tmp/rpm-tmp.15546 (%build)


I also noticed similar oddness when extracted the tarball to check inside:

tar zxvf evolution-brutus-1.2.16.tar.gz 
evolution-brutus-1.2.16/
evolution-brutus-1.2.16/acinclude.m4
evolution-brutus-1.2.16/Makefile.in
tar: evolution-brutus-1.2.16/Makefile.in: time stamp 2008-06-10 06:37:16 is
5098.89086422 s in the future
evolution-brutus-1.2.16/config.guess
tar: evolution-brutus-1.2.16/config.guess: time stamp 2008-06-10 06:37:16 is
5098.889698432 s in the future
evolution-brutus-1.2.16/install-sh
tar: evolution-brutus-1.2.16/install-sh: time stamp 2008-06-10 06:37:13 is
5095.889473487 s in the future


http://koji.fedoraproject.org/koji/getfile?taskID=655310&name=build.log

Comment 10 Jules Colding 2008-06-10 12:38:02 UTC
What can I do to fix the clock skew?

Comment 11 Alex Lancaster 2008-06-10 12:45:45 UTC
I'm not sure.  The time on the computer I'm untarring is

Tue Jun 10 05:44:32 MST 2008

which is the correct time here.  Does it untar correctly for you?

Comment 12 Jules Colding 2008-06-10 12:49:46 UTC
OK, I noticed that ntpd didn't run on my rawhide build box so the time was 2
hours off. I'll try with a new build - stay tuned...

Comment 13 Jules Colding 2008-06-10 13:04:53 UTC
OK, I can't get ntpd running. ntpdate says "no servers can be used, exiting".
Would waiting for two hours before attempting another build work for you?

Sorry,
  jules


Comment 14 Alex Lancaster 2008-06-10 13:15:07 UTC
You could try just setting your time manually.  I may have to go soon, will try
later.  

Comment 15 Jules Colding 2008-06-10 17:57:10 UTC
OK, I think the time problem is fixed. Please try x.n.17 from the usual place.

Comment 16 Alex Lancaster 2008-06-11 02:15:29 UTC
Thanks.  Fixed in evolution-brutus-1.2.17-1.fc10:

http://koji.fedoraproject.org/koji/buildinfo?buildID=52303

Closing.


Note You need to log in before you can comment on or make changes to this bug.